// Made by gopostal
// agutgopostal@hotmail.com

class MHMapAdjuster expands Mutator config(MHMapAdjuster);

var config int bCapacity;
var config bool ChangeCovertToFalse;
var config bool SeeCount;

function PostBeginPlay()
{
   if (SeeCount)
      SeeTheCount();

   CheckFactories();

   if ( NextMutator != None )
      NextMutator.PostBeginPlay();
}

function SeeTheCount()
{
   local Counter A;
   
   foreach AllActors (class'Counter', A)
   {
      if (A !=none)
         A.bShowMessage=True;
   }
}

function CheckFactories()
{
   local CreatureFactory C;
   local ThingFactory T;
   Local Counter Q;

   foreach AllActors( class 'CreatureFactory', C)
   {
      if(C !=none)
      {
         if(C.Capacity < 0)
            C.Capacity=bCapacity;
         else if (C.Capacity > bCapacity)
            C.Capacity=bCapacity;

         foreach AllActors( class 'Counter', Q)
         {
            if (Q != none)
            {
               if (C.Tag == Q.Tag)
               {
                  Q.NumToCount=(bCapacity + 1);
               }
            }
         }
         if(ChangeCovertToFalse)
            if(C.bCovert==True)
               C.bCovert=False;
      }
   }

   foreach AllActors( class 'ThingFactory', T)
   {
      if(T !=none)
      {
         if(T.Capacity < 0)
            T.Capacity=bCapacity;
         else if (T.Capacity > bCapacity)
            T.Capacity=bCapacity;

         foreach AllActors( class 'Counter', Q)
         {
            if (Q != none)
            {
               if (T.Tag == Q.Tag)
               {
                  Q.NumToCount=(bCapacity + 1);
               }
            }
         }
         if(ChangeCovertToFalse)
            if(T.bCovert==True)
               T.bCovert=False;
      }
   }
}

defaultproperties
{
    bCapacity=50
    ChangeCovertToFalse=True
    SeeCount=True
}